curl --request POST \
--url https://app.amplopay.com/api/v1/gateway/transfers \
--header 'Content-Type: application/json' \
--header 'x-public-key: SUA_CHAVE_PUBLICA_AQUI' \
--header 'x-secret-key: SUA_CHAVE_PRIVADA_AQUI' \
--data '{
"identifier": "identifier123",
"callbackUrl": "https://example.com/webhooks/transfer",
"amount": 1000,
"discountFeeOfReceiver": false,
"pix": {
"type": "email",
"key": "cliente@email.com"
},
"owner": {
"ip": "192.168.0.1",
"name": "Nome do Cliente",
"document": {
"type": "cpf",
"number": "123.456.789-00"
}
}
}'
{
"webhookToken": "webhookToken123",
"withdraw": {
"id": "withdraw123",
"amount": 1000,
"feeAmount": 10,
"currency": "BRL",
"status": "PENDING",
"createdAt": "2026-08-20T00:00:00.000Z",
"updatedAt": "2026-08-20T00:00:00.000Z"
},
"payoutAccount": {
"id": "payoutAccount123",
"status": "ACTIVE",
"pix": "produtor@email.com",
"pixType": "email",
"createdAt": "2026-08-20T00:00:00.000Z",
"updatedAt": "2026-08-20T00:00:00.000Z",
"deletedAt": null
},
"receiptUrl": "https://example.com/withdraws/cmen9ufoa00002v6oi1zo8x3f/receipt"
}
Endpoints
Create Pix transfer
Create a transfer or withdrawal via Pix
POST
/
gateway
/
transfers
curl --request POST \
--url https://app.amplopay.com/api/v1/gateway/transfers \
--header 'Content-Type: application/json' \
--header 'x-public-key: SUA_CHAVE_PUBLICA_AQUI' \
--header 'x-secret-key: SUA_CHAVE_PRIVADA_AQUI' \
--data '{
"identifier": "identifier123",
"callbackUrl": "https://example.com/webhooks/transfer",
"amount": 1000,
"discountFeeOfReceiver": false,
"pix": {
"type": "email",
"key": "cliente@email.com"
},
"owner": {
"ip": "192.168.0.1",
"name": "Nome do Cliente",
"document": {
"type": "cpf",
"number": "123.456.789-00"
}
}
}'
{
"webhookToken": "webhookToken123",
"withdraw": {
"id": "withdraw123",
"amount": 1000,
"feeAmount": 10,
"currency": "BRL",
"status": "PENDING",
"createdAt": "2026-08-20T00:00:00.000Z",
"updatedAt": "2026-08-20T00:00:00.000Z"
},
"payoutAccount": {
"id": "payoutAccount123",
"status": "ACTIVE",
"pix": "produtor@email.com",
"pixType": "email",
"createdAt": "2026-08-20T00:00:00.000Z",
"updatedAt": "2026-08-20T00:00:00.000Z",
"deletedAt": null
},
"receiptUrl": "https://example.com/withdraws/cmen9ufoa00002v6oi1zo8x3f/receipt"
}
Creates a transfer or withdrawal via Pix.
Body parameters
string
required
Transfer identifier in your application.
number
required
Transfer amount in BRL.
boolean
If
false, the withdrawal fee is not deducted from the receiver.object
required
Receiver Pix key data.
enum
required
Pix key type. Supported values include
cpf, cnpj, email, phone, and random.string
required
Receiver Pix key.
object
required
Account owner information.
string
required
IPv4 of the user performing the transfer. It must be different from the application IP.
string
required
Account owner’s name, without accents.
object
required
Account owner’s document.
enum
required
Document type. Supported values include
cpf and cnpj.string
required
Document number.
string
required
URL for transfer update notifications.
Request example
curl --request POST \
--url https://app.amplopay.com/api/v1/gateway/transfers \
--header 'Content-Type: application/json' \
--header 'x-public-key: SUA_CHAVE_PUBLICA_AQUI' \
--header 'x-secret-key: SUA_CHAVE_PRIVADA_AQUI' \
--data '{
"identifier": "identifier123",
"callbackUrl": "https://example.com/webhooks/transfer",
"amount": 1000,
"discountFeeOfReceiver": false,
"pix": {
"type": "email",
"key": "cliente@email.com"
},
"owner": {
"ip": "192.168.0.1",
"name": "Nome do Cliente",
"document": {
"type": "cpf",
"number": "123.456.789-00"
}
}
}'
Payload example
{
"identifier": "identifier123",
"callbackUrl": "https://example.com/webhooks/transfer",
"amount": 1000,
"discountFeeOfReceiver": false,
"pix": {
"type": "email",
"key": "cliente@email.com"
},
"owner": {
"ip": "192.168.0.1",
"name": "Nome do Cliente",
"document": {
"type": "cpf",
"number": "123.456.789-00"
}
}
}
Response
string
required
Token used to validate transfer webhook notifications.
object
required
Withdrawal information.
object
required
Payout account information.
string
Withdrawal receipt URL.
{
"webhookToken": "webhookToken123",
"withdraw": {
"id": "withdraw123",
"amount": 1000,
"feeAmount": 10,
"currency": "BRL",
"status": "PENDING",
"createdAt": "2026-08-20T00:00:00.000Z",
"updatedAt": "2026-08-20T00:00:00.000Z"
},
"payoutAccount": {
"id": "payoutAccount123",
"status": "ACTIVE",
"pix": "produtor@email.com",
"pixType": "email",
"createdAt": "2026-08-20T00:00:00.000Z",
"updatedAt": "2026-08-20T00:00:00.000Z",
"deletedAt": null
},
"receiptUrl": "https://example.com/withdraws/cmen9ufoa00002v6oi1zo8x3f/receipt"
}
Was this page helpful?

